"use strict";
var ArgsRegistry;
(function (ArgsRegistry) {
    var position;
    (function (position) {
        position["topLeft"] = "topLeft";
        position["topRight"] = "topRight";
        position["bottomLeft"] = "bottomLeft";
        position["bottomRight"] = "bottomRight";
    })(position = ArgsRegistry.position || (ArgsRegistry.position = {}));
    var welcomeMessageMode;
    (function (welcomeMessageMode) {
        welcomeMessageMode["live"] = "welcomeMessageModeLive";
        welcomeMessageMode["beta"] = "welcomeMessageModeBeta";
        welcomeMessageMode["disabled"] = "welcomeMessageModeDisabled";
    })(welcomeMessageMode = ArgsRegistry.welcomeMessageMode || (ArgsRegistry.welcomeMessageMode = {}));
    var floatingButtonEdge;
    (function (floatingButtonEdge) {
        floatingButtonEdge["left"] = "left";
        floatingButtonEdge["right"] = "right";
    })(floatingButtonEdge = ArgsRegistry.floatingButtonEdge || (ArgsRegistry.floatingButtonEdge = {}));
    var colorTheme;
    (function (colorTheme) {
        colorTheme["light"] = "light";
        colorTheme["dark"] = "dark";
    })(colorTheme = ArgsRegistry.colorTheme || (ArgsRegistry.colorTheme = {}));
    var strings;
    (function (strings) {
        strings["shakeHint"] = "shakeHint";
        strings["swipeHint"] = "swipeHint";
        strings["edgeSwipeStartHint"] = "edgeSwipeStartHint";
        strings["startAlertText"] = "startAlertText";
        strings["invalidEmailMessage"] = "invalidEmailMessage";
        strings["invalidEmailTitle"] = "invalidEmailTitle";
        strings["invalidCommentMessage"] = "invalidCommentMessage";
        strings["invalidCommentTitle"] = "invalidCommentTitle";
        strings["invocationHeader"] = "invocationHeader";
        strings["reportQuestion"] = "reportQuestion";
        strings["reportBug"] = "reportBug";
        strings["reportFeedback"] = "reportFeedback";
        strings["emailFieldHint"] = "emailFieldHint";
        strings["commentFieldHintForBugReport"] = "commentFieldHintForBugReport";
        strings["commentFieldHintForFeedback"] = "commentFieldHintForFeedback";
        strings["commentFieldHintForQuestion"] = "commentFieldHintForQuestion";
        strings["videoPressRecord"] = "videoPressRecord";
        strings["addVideoMessage"] = "addVideoMessage";
        strings["addVoiceMessage"] = "addVoiceMessage";
        strings["addImageFromGallery"] = "addImageFromGallery";
        strings["addExtraScreenshot"] = "addExtraScreenshot";
        strings["audioRecordingPermissionDeniedTitle"] = "audioRecordingPermissionDeniedTitle";
        strings["audioRecordingPermissionDeniedMessage"] = "audioRecordingPermissionDeniedMessage";
        strings["microphonePermissionAlertSettingsButtonText"] = "microphonePermissionAlertSettingsButtonTitle";
        strings["recordingMessageToHoldText"] = "recordingMessageToHoldText";
        strings["recordingMessageToReleaseText"] = "recordingMessageToReleaseText";
        strings["conversationsHeaderTitle"] = "conversationsHeaderTitle";
        strings["screenshotHeaderTitle"] = "screenshotHeaderTitle";
        strings["doneButtonText"] = "doneButtonText";
        strings["okButtonText"] = "okButtonTitle";
        strings["cancelButtonText"] = "cancelButtonTitle";
        strings["thankYouText"] = "thankYouText";
        strings["audio"] = "audio";
        strings["video"] = "video";
        strings["image"] = "image";
        strings["team"] = "team";
        strings["messagesNotification"] = "messagesNotification";
        strings["messagesNotificationAndOthers"] = "messagesNotificationAndOthers";
        strings["conversationTextFieldHint"] = "conversationTextFieldHint";
        strings["collectingDataText"] = "collectingDataText";
        strings["thankYouAlertText"] = "thankYouAlertText";
        strings["welcomeMessageBetaWelcomeStepTitle"] = "welcomeMessageBetaWelcomeStepTitle";
        strings["welcomeMessageBetaWelcomeStepContent"] = "welcomeMessageBetaWelcomeStepContent";
        strings["welcomeMessageBetaHowToReportStepTitle"] = "welcomeMessageBetaHowToReportStepTitle";
        strings["welcomeMessageBetaHowToReportStepContent"] = "welcomeMessageBetaHowToReportStepContent";
        strings["welcomeMessageBetaFinishStepTitle"] = "welcomeMessageBetaFinishStepTitle";
        strings["welcomeMessageBetaFinishStepContent"] = "welcomeMessageBetaFinishStepContent";
        strings["welcomeMessageLiveWelcomeStepTitle"] = "welcomeMessageLiveWelcomeStepTitle";
        strings["welcomeMessageLiveWelcomeStepContent"] = "welcomeMessageLiveWelcomeStepContent";
        strings["surveysStoreRatingThanksTitle"] = "surveysStoreRatingThanksTitle";
        strings["surveysStoreRatingThanksSubtitle"] = "surveysStoreRatingThanksSubtitle";
        strings["reportBugDescription"] = "reportBugDescription";
        strings["reportFeedbackDescription"] = "reportFeedbackDescription";
        strings["reportQuestionDescription"] = "reportQuestionDescription";
        strings["requestFeatureDescription"] = "requestFeatureDescription";
        strings["discardAlertTitle"] = "discardAlertTitle";
        strings["discardAlertMessage"] = "discardAlertMessage";
        strings["discardAlertCancel"] = "discardAlertCancel";
        strings["discardAlertAction"] = "discardAlertAction";
        strings["addAttachmentButtonTitleStringName"] = "addAttachmentButtonTitleStringName";
        strings["reportReproStepsDisclaimerBody"] = "reportReproStepsDisclaimerBody";
        strings["reportReproStepsDisclaimerLink"] = "reportReproStepsDisclaimerLink";
        strings["reproStepsProgressDialogBody"] = "reproStepsProgressDialogBody";
        strings["reproStepsListHeader"] = "reproStepsListHeader";
        strings["reproStepsListDescription"] = "reproStepsListDescription";
        strings["reproStepsListEmptyStateDescription"] = "reproStepsListEmptyStateDescription";
        strings["reproStepsListItemTitle"] = "reproStepsListItemTitle";
    })(strings = ArgsRegistry.strings || (ArgsRegistry.strings = {}));
    var reproStepsMode;
    (function (reproStepsMode) {
        reproStepsMode["enabled"] = "enabled";
        reproStepsMode["disabled"] = "disabled";
        reproStepsMode["enabledWithNoScreenshots"] = "enabledWithNoScreenshots";
    })(reproStepsMode = ArgsRegistry.reproStepsMode || (ArgsRegistry.reproStepsMode = {}));
    var locale;
    (function (locale) {
        locale["arabic"] = "arabic";
        locale["azerbaijani"] = "azerbaijani";
        locale["chineseSimplified"] = "chineseSimplified";
        locale["chineseTraditional"] = "chineseTraditional";
        locale["danish"] = "danish";
        locale["dutch"] = "dutch";
        locale["english"] = "english";
        locale["french"] = "french";
        locale["german"] = "german";
        locale["italian"] = "italian";
        locale["japanese"] = "japanese";
        locale["korean"] = "korean";
        locale["polish"] = "polish";
        locale["portugueseBrazil"] = "portugueseBrazil";
        locale["russian"] = "russian";
        locale["spanish"] = "spanish";
        locale["swedish"] = "swedish";
        locale["turkish"] = "turkish";
        locale["czech"] = "czech";
    })(locale = ArgsRegistry.locale || (ArgsRegistry.locale = {}));
})(ArgsRegistry || (ArgsRegistry = {}));
module.exports = ArgsRegistry;
